﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerInteraction : MonoBehaviour
{
    private RaycastHit hit;

    public GameObject RunRayCast(bool run, Vector3 pos, Vector3 dir, float dist, LayerMask layer)
    {
        if (run)
        {
            if (Physics.Raycast(pos, dir, out hit, dist, layer))
            {
                Debug.Log("Returning Object");
                return hit.collider.gameObject;
            }
        }
        Debug.Log("Returning Null");

        return null;
    }
}
