﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ItemPickup : MonoBehaviour
{
    private GameObject GameManager;
    PlayerInteraction PlayerInteraction;
    private GameObject player;
    [SerializeField] private LayerMask layer;
    private GameObject item;
    InventoryManager InventoryManager;


    private void Awake() 
    {
     GameManager = GameObject.FindGameObjectWithTag("GameManager");
     player = GameObject.FindGameObjectWithTag("Player");

     PlayerInteraction = GameManager.GetComponent<PlayerInteraction>();
     InventoryManager = GameManager.GetComponent<InventoryManager>();
    }
    // Update is called once per frame
    void Update()
    {
        Pickup();
    }

    private void Pickup()
    {
        if (Input.GetKeyDown("f"))
        {
            Debug.Log("Runing Raycast");
            item = PlayerInteraction.RunRayCast(true,player.transform.GetChild(0).transform.position, player.transform.GetChild(0).transform.forward,5,layer);
            if (item != null)
            {
                Debug.Log(item.GetComponent<Item>().iName);
                InventoryManager.AddToSlot(item);
                //Destroy(item);

            }
            else
            {
                Debug.Log("Nothing Found!");
            }
        }
    }
}
